<?php
//@codingStandardsIgnoreStart
class ControllerModuleRoistat extends Controller
{
    public function index() {
        $this->load->model('extension/module');
        $this->load->model('setting/setting');
        $this->load->language('module/roistat');

        if ($this->request->server['REQUEST_METHOD'] === 'POST') {
            $this->model_setting_setting->editSetting('roistat', $this->request->post);

            $this->session->data['success'] = $this->language->get('text_success');

            $this->response->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
        }

        $this->document->setTitle($this->language->get('heading_title'));

        $data = array();
        $data['heading_title'] = $this->language->get('heading_title');

        $data['text_edit']     = $this->language->get('text_edit');
        $data['text_enabled']  = $this->language->get('text_enabled');
        $data['text_disabled'] = $this->language->get('text_disabled');

        $data['button_save']   = $this->language->get('button_save');
        $data['button_cancel'] = $this->language->get('button_cancel');

        $data['header']        = $this->load->controller('common/header');
        $data['column_left']   = $this->load->controller('common/column_left');
        $data['footer']        = $this->load->controller('common/footer');

        $data['entry_username']   = $this->language->get('entry_username');
        $data['entry_password']   = $this->language->get('entry_password');

        $data['breadcrumbs'] = array(
            array(
                'text' => $this->language->get('text_home'),
                'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL'),
            ),
            array(
                'text' => $this->language->get('text_module'),
                'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
            ),
            array(
                'text' => $data['heading_title'],
                'href' => $this->url->link('module/roistat', 'token=' . $this->session->data['token'], 'SSL'),
            ),
        );

        $data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
        $data['action'] = $this->url->link('module/roistat', 'token=' . $this->session->data['token'], 'SSL');

        $settings = $this->model_setting_setting->getSetting('roistat');

        if (array_key_exists('roistat_username', $settings)) {
            $data['username'] = $settings['roistat_username'];
        } else {
            $data['username'] = '';
        }

        if (array_key_exists('roistat_password', $settings)) {
            $data['password'] = $settings['roistat_password'];
        } else {
            $data['password'] = '';
        }

        $this->response->setOutput($this->load->view('module/roistat.tpl', $data));
    }

    public function install() {
        $this->load->model('extension/event');
        $this->load->model('setting/setting');

        $this->model_extension_event->addEvent('roistat_save_visit', 'post.order.add', 'module/roistat/saveOrderVisit');
        $this->model_extension_event->addEvent('roistat_edit_visit', 'post.order.edit', 'module/roistat/editOrderVisit');
    }

    public function uninstall() {
        $this->load->model('extension/event');
        $this->load->model('setting/setting');

        $this->model_extension_event->deleteEvent('roistat_save_visit');
        $this->model_extension_event->deleteEvent('roistat_edit_visit');
    }
}
//@codingStandardsIgnoreEnd